<?php

/**
 * @file
 * Administrative actions.
 */

/**
 * Admin settings form.
 */
function dropfort_update_admin_form($form, &$form_state) {

  $form['dropfort_update_site_key'] = [
    '#type' => 'textfield',
    '#title' => t('Site Key'),
    '#size' => 70,
    '#default_value' => variable_get('dropfort_update_site_key', ''),
    '#description' => t('The site key provided in the Dropfort site interface.'),
  ];

  $form['dropfort_update_site_token'] = [
    '#type' => 'password',
    '#title' => t('Status Auth Token'),
    '#size' => 70,
    '#default_value' => variable_get('dropfort_update_site_token', ''),
    '#description' => t('The unqiue authentication token provided in the Dropfort site interface.'),
  ];

  $form['dropfort_update_dropfort_url'] = [
    '#type' => 'textfield',
    '#title' => t('Dropfort URL'),
    '#default_value' => variable_get('dropfort_update_dropfort_url', DROPFORT_UPDATE_DEFAULT_BASE_URL),
    '#description' => t('The url to the Dropfort instance. Default is @url', ['@url' => DROPFORT_UPDATE_DEFAULT_BASE_URL]),
  ];

  $form['#submit'][] = 'dropfort_update_admin_form_submit';

  return system_settings_form($form);
}

/**
 * Submit callback for the settings form.
 */
function dropfort_update_admin_form_submit($form, &$form_state) {
  // Send the site status right away.
  dropfort_update_send_status();
}
